import BaseCurdApi from './BaseCurdApi'

class TagCodeApi extends BaseCurdApi {
  getQrData = (tagId) => this.api({
    url: `${this.basePath}/qr/${tagId}`,
    method: 'GET'
  })

  batchPrint = (data) => this.api({
    url: `${this.basePath}/qr/batch-print`,
    method: 'POST',
    data
  })

  print = data => this.api({
    url: `${this.basePath}/qr/print`,
    method: 'POST',
    data
  })

  constructor () {
    super('/tag/code')
  }
}

export default new TagCodeApi()
